/*
* global.h
*
* global variables and definitions
*
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_GLOBAL_H_INCLUDED_
#define _ED2K_GUI_GLOBAL_H_INCLUDED_

#include <glib.h> /* for G_OS_* */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#define DUMMY_NICKNAME    "please wait"

#define G_FREE(somepointer)	if(somepointer){g_free(somepointer);somepointer=NULL;}

#ifdef G_OS_UNIX
# if defined(ENABLE_NLS) && !defined(_)
#   include <libintl.h>
#   define _(x) gettext(x)
#   ifdef gettext_noop
#     define N_(String) gettext_noop (String)
#   else
#     define N_(String) (String)
#   endif
# endif
# if !defined(ENABLE_NLS) && defined(_)
#   undef _
#   define N_(String) (String)
#   define _(x) (x)
# endif
#else /* !G_OS_UNIX */
# define	_(String)             String
# define gettext_noop(String)   String
# define N_(String)             String
#endif /* !G_OS_UNIX */

#endif


